A `LocationConfig` that delegates to the browser's `location` object

### Hierarchy

- BrowserLocationConfig

### Implements

- LocationConfig

## Index

### Constructors

- constructor

### Properties

- _baseHref
- _hashPrefix
- _isHtml5

### Methods

- applyDocumentBaseHref
- baseHref
- dispose
- hashPrefix
- host
- html5Mode
- port
- protocol

## Constructors

- new BrowserLocationConfig(router?: any, _isHtml5?: boolean): BrowserLocationConfig

- #### Parameters

  - ##### router: Optional any

  - ##### _isHtml5: Default value boolean = false

  #### Returns BrowserLocationConfig

  - Defined in vanilla/browserLocationConfig.ts:12

## Properties

_baseHref: any = undefined

- Defined in vanilla/browserLocationConfig.ts:11

_hashPrefix: string = ""

- Defined in vanilla/browserLocationConfig.ts:12

_isHtml5: boolean

- Defined in vanilla/browserLocationConfig.ts:14

## Methods

- applyDocumentBaseHref(): string

- #### Returns string

  - Defined in vanilla/browserLocationConfig.ts:46

- baseHref(href?: string): string

- #### Parameters

  - ##### href: Optional string

  #### Returns string

  - Defined in vanilla/browserLocationConfig.ts:41

- dispose(): void

- #### Returns void

  - Defined in vanilla/browserLocationConfig.ts:51

- hashPrefix(): string

- #### Returns string

  Implementation of LocationConfig.hashPrefix

  - Defined in vanilla/browserLocationConfig.ts:36

- host(): string

- #### Returns string

  Implementation of LocationConfig.host

  - Defined in vanilla/browserLocationConfig.ts:28

- html5Mode(): boolean

- #### Returns boolean

  Implementation of LocationConfig.html5Mode

  - Defined in vanilla/browserLocationConfig.ts:32

- port(): number

- #### Returns number

  Implementation of LocationConfig.port

  - Defined in vanilla/browserLocationConfig.ts:16

- protocol(): string

- #### Returns string

  Implementation of LocationConfig.protocol

  - Defined in vanilla/browserLocationConfig.ts:24

Generated using TypeDoc